Bug 170049 - please omit *.la files, static libs (or package them separately)
Summary: please omit *.la files, static libs (or package them separately)
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: neon (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-06 20:17 UTC by Rex Dieter
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-20 08:45:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rex Dieter 2005-10-06 20:17:44 UTC
pretty much the same arguments used in bug #170032, bug #170046

Please remove all %{_libdir}/lib*.la files and static libs from the -devel
package.  This will reduce libtool/library bloat.

Further, it will (mostly) solve the problem of needing to add
extreneous Requires: neon-devel to other (-devel) packages built against
neon-devel (to account for the references to /usr/lib/libneon.la in their own
.la files).

(mostly Library) packages with .la files of their own that
BuildRequires: neon-devel
will need to be rebuilt after this modification.  Most notably apr, apr-util.

If you insist in still including the .la files (and static libraries), please
package them separately into something like neon-static, so it would be possible
to omit this extra crud in other
rpms that
BuildRequires: neon-devel
via
BuildConflicts: neon-static

Comment 1 Joe Orton 2005-10-20 08:45:28 UTC
rpm requires the static neon library.  The .la file is part of the interface. 
Adding a new subpackage for the static library just increases bloat not removes it.

Comment 2 Rex Dieter 2005-10-20 11:49:01 UTC
Yeah, if you insist in including the static lib (and not packaging it
separately), then the .la file is required.  In the shared-lib-only case, it's not.


Note You need to log in before you can comment on or make changes to this bug.